com.google.gwt.codegen.server

## Class SourceWriterBase

- java.lang.Object
- - com.google.gwt.codegen.server.SourceWriterBase

All Implemented Interfaces:
  SourceWriter

Direct Known Subclasses:
  JavaSourceWriter, StringSourceWriter

    public abstract class SourceWriterBase
    extends java.lang.Object
    implements SourceWriter

Base implementation of `SourceWriter` that implements all the indenting and keeping track of comments.

Experimental API - subject to change.

### Constructor Summary

Constructors
Constructor and Description
`SourceWriterBase()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `abort()` Abort the source file being generated.
`void` `beginJavaDocComment()` Begin emitting a JavaDoc comment.
`void` `close()` Close the source file being generated.
`void` `endJavaDocComment()` End emitting a JavaDoc comment.
`void` `indent()` Increase indent level.
`void` `indentln(java.lang.String string)` Print a line at an increased indentation level without altering the indent level for the next line.
`void` `indentln(java.lang.String format, java.lang.Object... args)` Format and print a line at an increased indentation level without altering the indent level for the next line.
`void` `outdent()` Decrease indent level.
`void` `print(java.lang.String s)` Write a string without a line terminator.
`void` `print(java.lang.String format, java.lang.Object... args)` Format and print a string without a line terminator.
`void` `println()` Write a line terminator.
`void` `println(java.lang.String string)` Write a string with a line terminator.
`void` `println(java.lang.String format, java.lang.Object... args)` Format and print a string with a line terminator.
`protected abstract void` `writeString(java.lang.String s)` Write a string to the underlying output.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceWriterBase

    public SourceWriterBase()

### Method Detail

#### abort

    public abstract void abort()

Description copied from interface: `SourceWriter`
Abort the source file being generated.

Specified by:
  `abort` in interface `SourceWriter`

#### beginJavaDocComment

    public void beginJavaDocComment()

Description copied from interface: `SourceWriter`
Begin emitting a JavaDoc comment.

Specified by:
  `beginJavaDocComment` in interface `SourceWriter`

#### close

    public void close()

Description copied from interface: `SourceWriter`
Close the source file being generated.

Specified by:
  `close` in interface `SourceWriter`

#### endJavaDocComment

    public void endJavaDocComment()

Description copied from interface: `SourceWriter`
End emitting a JavaDoc comment.

Specified by:
  `endJavaDocComment` in interface `SourceWriter`

#### indent

    public void indent()

Description copied from interface: `SourceWriter`
Increase indent level.

Specified by:
  `indent` in interface `SourceWriter`

#### indentln

    public void indentln(java.lang.String string)

Description copied from interface: `SourceWriter`
Print a line at an increased indentation level without altering the indent level for the next line.

Specified by:
  `indentln` in interface `SourceWriter`

#### indentln

    public void indentln(java.lang.String format,
                         java.lang.Object... args)

Description copied from interface: `SourceWriter`
Format and print a line at an increased indentation level without altering the indent level for the next line.

Specified by:
  `indentln` in interface `SourceWriter`
Parameters:
  `format` - format string, as in `String.format(String, Object...)`
  `args` - arguments for the format string

#### outdent

    public void outdent()

Description copied from interface: `SourceWriter`
Decrease indent level.

Specified by:
  `outdent` in interface `SourceWriter`

#### print

    public void print(java.lang.String s)

Description copied from interface: `SourceWriter`
Write a string without a line terminator.

Specified by:
  `print` in interface `SourceWriter`

#### print

    public void print(java.lang.String format,
                      java.lang.Object... args)

Description copied from interface: `SourceWriter`
Format and print a string without a line terminator.

Specified by:
  `print` in interface `SourceWriter`
Parameters:
  `format` - format string, as in `String.format(String, Object...)`
  `args` - arguments for the format string

#### println

    public void println()

Description copied from interface: `SourceWriter`
Write a line terminator.

Specified by:
  `println` in interface `SourceWriter`

#### println

    public void println(java.lang.String string)

Description copied from interface: `SourceWriter`
Write a string with a line terminator.

Specified by:
  `println` in interface `SourceWriter`

#### println

    public void println(java.lang.String format,
                        java.lang.Object... args)

Description copied from interface: `SourceWriter`
Format and print a string with a line terminator.

Specified by:
  `println` in interface `SourceWriter`
Parameters:
  `format` - format string, as in `String.format(String, Object...)`
  `args` - arguments for the format string

#### writeString

    protected abstract void writeString(java.lang.String s)

Write a string to the underlying output.

Parameters:
  `s` -